<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button class="btn btn-primary" (click)="nuevo()">
    <i class="fas fa-plus mr-2"></i>Nuevo
  </button>
  <button class="btn btn-success ml-1" (click)="guardar()">
    <i class="fas fa-save mr-2"></i>Guardar
  </button>
</app-page-title>

<div class="card">
  <div class="card-body">

    <ng-container *ngIf="!loading">
      <form [formGroup]="ngForm">
        <div class="row mt-1">
          <div class="col-sm-6 col-md-3 col-lg-3 col-xl-3 form-group">
            <label>Parámetro <b>-CODIGOS-</b></label>
            <input type="text" class="form-control" formControlName="parametro" [readonly]="ngForm.value.edit">
          </div>
          <div class="col-sm-6 col-md-3 col-lg-3 col-xl-3 form-group">
            <label>Descripción</label>
            <input type="text" class="form-control" formControlName="descripcion">
          </div>
          <div class="col-sm-6 col-md-3 col-lg-3 col-xl-3 form-group">
            <label>Monto</label>
            <input type="text" class="form-control" formControlName="pchr1">
          </div>
          <div class="col-sm-6 col-md-3 col-lg-3 col-xl-3 form-group">
            <label>Moneda</label>
            <kendo-combobox [data]="listMoneda" [textField]="'mdesc'" [valueField]="'Moneda'"
              [placeholder]="'Seleccionar Moneda'" [valuePrimitive]="true" class="form-control" formControlName="pchr2">
            </kendo-combobox>
          </div>
        </div>
      </form>

      <kendo-grid [data]="dataGrid" [selectable]="true" (selectionChange)="selectedRow($event)" style="height: 50vh;">
        <ng-container *ngIf="dataGrid.length !== 0">
          <kendo-grid-checkbox-column></kendo-grid-checkbox-column>
          <kendo-grid-column field="parametro" title="Parametro"></kendo-grid-column>
          <kendo-grid-column field="descripcion" title="Descripción"></kendo-grid-column>
          <kendo-grid-column field="Borrar" title="Borrar">
            <ng-template kendoGridCellTemplate let-dataItem>
              <input type="checkbox" [checked]="dataItem.Borrar" disabled />
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-command-column width="130">
            <ng-template kendoGridCellTemplate let-dataItem>
              <button class="btn btn-danger" (click)="crudService('delete', dataItem)">
                <i class="fas fa-trash-alt mr-2"></i>Eliminar
              </button>
            </ng-template>
          </kendo-grid-command-column>
        </ng-container>
        <ng-template kendoGridNoRecordsTemplate>
          {{ noRecords }}
        </ng-template>
      </kendo-grid>
    </ng-container>

    <app-loading *ngIf="loading"></app-loading>

  </div>
</div>